function gp = example1
%objective function
obj = 'x''*x';
obj_grad = '2*x';

%constraints
cons = {'-x(1)+2', '-x(2)/3+1/3'};
cons_grad = {'[-1, 0]''', '[0, -1/3]'''};

%toleranse, connected with
%'mouse' errors
tol = 0.01;

%domain
x1 = 1:0.3:5;
x2 = 0:0.3:5;

%starting point
x1_start = -100;
x2_start = 100;

%construct the optimization problem
gp = gr_epa_opt( x1, x2, ...
    epa_opt_prob( obj, obj_grad, cons, cons_grad ), ...
		 x1_start, x2_start );
